Loading...
Searching...
No Matches
rpcbasic_extractor< T, std::string > Class Template Reference

Specialized extractor class for string data. More...

`#include <gnuradio/rpcregisterhelpers.h>`

## Public Member Functions

| rpcbasic_extractor (T *source, void(T::*func)(std::string))
void | post (pmt::pmt_t which_port, pmt::pmt_t msg)
| send `msg` to `msg_accepter` on port `which_port`
Public Member Functions inherited from rpcextractor_base< T, std::string >
| rpcextractor_base (T *source, void(T::*func)(std::string))
| ~rpcextractor_base () override
void | post (pmt::pmt_t which_port, pmt::pmt_t msg) override
| send `msg` to `msg_accepter` on port `which_port`
Public Member Functions inherited from gr::messages::msg_accepter
| msg_accepter ()
virtual | ~msg_accepter ()

## Additional Inherited Members

Protected Attributes inherited from rpcextractor_base< T, std::string >
T * | _source
void(T::* | _func )(std::string)

## Detailed Description

template<typename T>
class rpcbasic_extractor< T, std::string >

Specialized extractor class for string data.

## Constructor & Destructor Documentation

## rpcbasic_extractor()

template<typename T>

rpcbasic_extractor< T, std::string >::rpcbasic_extractor | ( | T * | source,
|  | void(T::* | func )(std::string) )

inline

References rpcextractor_base< T, std::string >::rpcextractor_base().

## Member Function Documentation

## post()

template<typename T>

void rpcbasic_extractor< T, std::string >::post | ( | pmt::pmt_t | which_port,
|  | pmt::pmt_t | msg )

inline virtual

send `msg` to `msg_accepter` on port `which_port`

Sending a message is an asynchronous operation. The `post` call will not wait for the message either to arrive at the destination or to be received.

Implements gr::messages::msg_accepter.

References rpcextractor_base< T, Tto >::_func, rpcextractor_base< T, Tto >::_source, and pmt::symbol_to_string().

The documentation for this class was generated from the following file:

- rpcregisterhelpers.h